<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('style.css');
        @import url('roundedcorners.css');
        @import url('tree.css');
            </style>
    
    <script src="sorttable.js" type="text/javascript"></script>
    <script src="overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="clover.js" type="text/javascript"></script>
    <script src="cloud.js" type="text/javascript"></script>
    <script src="help.js" type="text/javascript"></script>
  <title>HttpCore NIO 4.2.3</title>
</head><body>
<table cellspacing="0" cellpadding="2" class="barGraph">
  <tbody>
  <tr>
    <td colspan="7">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:36:27 CET</div>

        
    
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="agg-pkgs.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:36:05 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      5,482
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      26,330
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      2,456
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.67
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      2,034
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      13,393
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.45
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6.05
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,173
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      177
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      2.09
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      14.92
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      194
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      13
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:36:05 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      5,482
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      26,330
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      2,456
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.67
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      2,034
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      13,393
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.45
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6.05
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,173
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      177
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      2.09
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      14.92
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      194
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      13
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>



<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
</tbody>
<tbody>
<tr>
    <td class="sortable graphHeaderLeft" onclick="ts_resortTable(this, 'alpha', 0);return false;">
        <strong>&nbsp;Aggregate Packages</strong>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;"  colspan="1">
        <div class="headerTitle"><label >Packages</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 2);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 3);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 4);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 5);return false;"  colspan="2">
        <div class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></div>
    </td>
        </tr><!-- render list of package coverage bargraphs -->
                                  <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/nio/params/pkg-risks.html'><img alt='Cloud icon for params' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.nio.params</span>
    	  <a href="org/apache/http/nio/params/pkg-summary.html" title="org.apache.http.nio.params">org.apache.http.nio.params</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.6666666</span>
          1.67
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">56.0</span>
          56
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
      </td>
      
      </tr>
                                     <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/nio/ssl/pkg-risks.html'><img alt='Cloud icon for ssl' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.nio.ssl</span>
    	  <a href="org/apache/http/impl/nio/ssl/pkg-summary.html" title="org.apache.http.impl.nio.ssl">org.apache.http.impl.nio.ssl</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.5</span>
          1.5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">63.0</span>
          63
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
      </td>
      
      </tr>
                                     <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/nio/entity/pkg-risks.html'><img alt='Cloud icon for entity' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.nio.entity</span>
    	  <a href="org/apache/http/nio/entity/pkg-summary.html" title="org.apache.http.nio.entity">org.apache.http.nio.entity</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.6190476</span>
          1.62
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">260.0</span>
          260
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.34177214</span>
          34.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.34177214</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="65.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="34.2% Covered" class="barPositive " style="width: 34.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                                     <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/nio/reactor/pkg-risks.html'><img alt='Cloud icon for reactor' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.nio.reactor</span>
    	  <a href="org/apache/http/impl/nio/reactor/pkg-summary.html" title="org.apache.http.impl.nio.reactor">org.apache.http.impl.nio.reactor</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.3803418</span>
          2.38
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">725.0</span>
          725
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.6264812</span>
          62.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6264812</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="37.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="62.6% Covered" class="barPositive " style="width: 62.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			
	        <span class="sortValue">org.apache.http.impl</span>
    	   org.apache.http.impl
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.2520325</span>
          2.25
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1417.0</span>
          1,417
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.63079727</span>
          63.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.63079727</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="36.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="63.1% Covered" class="barPositive " style="width: 63.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                                     <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/nio/pkg-risks.html'><img alt='Cloud icon for nio' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.nio</span>
    	  <a href="org/apache/http/impl/nio/pkg-summary.html" title="org.apache.http.impl.nio">org.apache.http.impl.nio</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.2520325</span>
          2.25
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1417.0</span>
          1,417
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.63079727</span>
          63.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.63079727</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="36.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="63.1% Covered" class="barPositive " style="width: 63.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                                     <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/nio/util/pkg-risks.html'><img alt='Cloud icon for util' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.nio.util</span>
    	  <a href="org/apache/http/nio/util/pkg-summary.html" title="org.apache.http.nio.util">org.apache.http.nio.util</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.1774194</span>
          2.18
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">166.0</span>
          166
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.67641324</span>
          67.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.67641324</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="32.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="67.6% Covered" class="barPositive " style="width: 67.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			
	        <span class="sortValue">org.apache</span>
    	   org.apache
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">13.0</span>
          13
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0937767</span>
          2.09
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2714.0</span>
          2,714
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.68765104</span>
          68.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.68765104</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="31.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="68.8% Covered" class="barPositive " style="width: 68.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			
	        <span class="sortValue">org.apache.http</span>
    	   org.apache.http
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">13.0</span>
          13
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0937767</span>
          2.09
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2714.0</span>
          2,714
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.68765104</span>
          68.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.68765104</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="31.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="68.8% Covered" class="barPositive " style="width: 68.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			
	        <span class="sortValue">org</span>
    	   org
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">13.0</span>
          13
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0937767</span>
          2.09
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2714.0</span>
          2,714
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.68765104</span>
          68.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.68765104</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="31.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="68.8% Covered" class="barPositive " style="width: 68.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                                     <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/nio/reactor/pkg-risks.html'><img alt='Cloud icon for reactor' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.nio.reactor</span>
    	  <a href="org/apache/http/nio/reactor/pkg-summary.html" title="org.apache.http.nio.reactor">org.apache.http.nio.reactor</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.2</span>
          2.2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">111.0</span>
          111
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.69337016</span>
          69.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.69337016</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="30.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="69.3% Covered" class="barPositive " style="width: 69.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                                     <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/nio/reactor/ssl/pkg-risks.html'><img alt='Cloud icon for ssl' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.nio.reactor.ssl</span>
    	  <a href="org/apache/http/nio/reactor/ssl/pkg-summary.html" title="org.apache.http.nio.reactor.ssl">org.apache.http.nio.reactor.ssl</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.2291667</span>
          2.23
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">108.0</span>
          108
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.69491524</span>
          69.5%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.69491524</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="30.5% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="69.5% Covered" class="barPositive " style="width: 69.5%"></div>
    </div>
</div>
      </td>
      
      </tr>
                                     <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/nio/pkg-risks.html'><img alt='Cloud icon for nio' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.nio</span>
    	  <a href="org/apache/http/nio/pkg-summary.html" title="org.apache.http.nio">org.apache.http.nio</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">8.0</span>
          8
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.979442</span>
          1.98
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1297.0</span>
          1,297
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.73263246</span>
          73.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.73263246</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="26.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="73.3% Covered" class="barPositive " style="width: 73.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                                     <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/nio/protocol/pkg-risks.html'><img alt='Cloud icon for protocol' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.nio.protocol</span>
    	  <a href="org/apache/http/nio/protocol/pkg-summary.html" title="org.apache.http.nio.protocol">org.apache.http.nio.protocol</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.00489</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">661.0</span>
          661
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.7760081</span>
          77.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.7760081</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="22.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="77.6% Covered" class="barPositive " style="width: 77.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
                                     <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/nio/pool/pkg-risks.html'><img alt='Cloud icon for pool' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.nio.pool</span>
    	  <a href="org/apache/http/impl/nio/pool/pkg-summary.html" title="org.apache.http.impl.nio.pool">org.apache.http.impl.nio.pool</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.3125</span>
          1.31
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">12.0</span>
          12
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.7894737</span>
          78.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.7894737</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="21.1% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="78.9% Covered" class="barPositive " style="width: 78.9%"></div>
    </div>
</div>
      </td>
      
      </tr>
                                     <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/nio/codecs/pkg-risks.html'><img alt='Cloud icon for codecs' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.nio.codecs</span>
    	  <a href="org/apache/http/impl/nio/codecs/pkg-summary.html" title="org.apache.http.impl.nio.codecs">org.apache.http.impl.nio.codecs</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.338983</span>
          3.34
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">115.0</span>
          115
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.85026044</span>
          85%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.85026044</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="15% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="85% Covered" class="barPositive " style="width: 85%"></div>
    </div>
</div>
      </td>
      
      </tr>
                                     <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/nio/pool/pkg-risks.html'><img alt='Cloud icon for pool' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.nio.pool</span>
    	  <a href="org/apache/http/nio/pool/pkg-summary.html" title="org.apache.http.nio.pool">org.apache.http.nio.pool</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.125</span>
          2.12
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">43.0</span>
          43
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.92321426</span>
          92.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.92321426</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="7.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="92.3% Covered" class="barPositive " style="width: 92.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
   </tbody>
<tbody>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
<tr><td class="footer" colspan="7">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:36:54 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
